Bug 20024 - Initial NAK flush on XMODEM
Initial NAK flush on XMODEM
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: lrzsz (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 05:56 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-30 05:56:56 EST
Hello,

If you remember, the Xmodem sender waits for the receiver to send a NAK
character, then transmission begins. If the transmitter is started enough
time later than the receiver does, more than one NAK char may be waiting in
the transmitter's input buffer. The transmitter checks the initial NAK,
sends the first packet and, as a response, he gets a NAK which is one of
the extra NAKs sent by the receiver to signal Xmodem reception, not a real
packet reject.

In my opinion, the transmitter must consume all chars waiting in the buffer
before operation starts.

This is specially annoying when using "sx" from "minicom". If the user is
not extremely fast typing the file name to be uploaded (very difficult),
then all packes are "rejected" by this reason, and
the upload becomes unsuccessful.

I have patched "lsz.c" and now it works. Here is the patch, if you are
interested :

1329d1328
<
1341,1346d1339
<
<       /* if the receiver has sent more than one NAK, they must be
consumed, */
<       /* otherwise they will be interpreted as packet rejects later (JCO)
*/
<       while (firstch == NAK)
<           firstch=READLINE_PF(1);
<
1409d1401
<               {
1411,1412c1403
<                 }
<
---
>                                                                                 

Over version  0.12.20-4. It can be extended for the CRC mode, however.

Thank you.
Comment 1 Ngo Than 2000-10-30 06:21:06 EST
Could you please do diff -Nur instead diff again to make a patch file.
Please send me the new patch file again. Thanks.
Comment 2 Bill Nottingham 2006-08-07 13:44:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:47:39 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.